Bug 1429485 - [RFE] Imgbased layers should be named with '%{name}-%{version}-%{release}' instead of %{name}-%{version}
Summary: [RFE] Imgbased layers should be named with '%{name}-%{version}-%{release}' in...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-node-ng
Version: 4.0.7
Hardware: All
OS: All
medium
medium
Target Milestone: ovirt-4.2.0
: ---
Assignee: Yuval Turgeman
QA Contact: cshao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-06 13:18 UTC by Pavol Brilla
Modified: 2019-05-16 13:05 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2018-05-15 17:57:40 UTC
oVirt Team: Node
Target Upstream Version:
rbarry: needinfo-
yturgema: needinfo-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1524 0 None None None 2018-05-15 17:58:49 UTC

Description Pavol Brilla 2017-03-06 13:18:36 UTC
Description of problem:
Check of layers after installation of rhvh with 'imgbase w' is in format '%{name}-%{version}'

# imgbase w 
rhvh-4.0-0.20170302.0+1

Expected results:
Should be '%{name}-%{version}-%{release}...'

So in our case 4.0-7:  rhvh-4.0-7.0.20170302.0+1

Release could be taken from 'rpm -q redhat-release-virtualization-host'

Comment 1 Yuval Turgeman 2017-03-07 09:54:10 UTC
imgbase w displays the name of the lvm layer, not the version of the rpm so this is ok.  For the version of imgbase, you can use imgbase --version (which is not the same as the rpm version as well btw).

Comment 2 Ryan Barry 2017-03-07 14:31:28 UTC
Hey -- re-opening this. I'll change the description. This bug isn't about "imgbase w", but a tracker for layers to actually follow this naming to make versioning easily identifiable, unless I've misunderstood Pavol.

Comment 3 Yuval Turgeman 2017-03-08 14:14:20 UTC
Shouldn't we set this as RFE ?

Comment 5 Ryan Barry 2017-03-20 13:20:59 UTC
This should definitely be an RFE.

Comment 14 cshao 2018-04-24 05:52:32 UTC
Test version:
redhat-virtualization-host-4.2-20180420.0

Imgbased layers show as following: 
# imgbase w 
You are on rhvh-4.2.2.1-0.20180420.0+1

So the bug is fixed, change bug status to VERIFIED.

Comment 18 errata-xmlrpc 2018-05-15 17:57:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1524

Comment 19 Franta Kust 2019-05-16 13:05:23 UTC
BZ<2>Jira Resync


Note You need to log in before you can comment on or make changes to this bug.